Bug 122789 - (ACPI) Dell Latitude C400: Resume from S1 doesn't always work the first try
(ACPI) Dell Latitude C400: Resume from S1 doesn't always work the first try
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-07 17:36 EDT by Vibol Hou
Modified: 2015-01-04 17:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:17:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vibol Hou 2004-05-07 17:36:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040505

Description of problem:
I'm running on a Dell Latitude C400 P3 1.2 w/784MB ram.

When I suspend into level S1 (echo 1 > /proc/acpi/sleep), it goes into
the S1 state, but I cannot get back out of it the first try.

Screen output the first time hitting suspend:

Stopping tasks: ========================================================
======|
PM: Entering state.

I hit power button, system appears to come out of S1 but then drops
right back in:

Stopping tasks: ========================================================
======|
PM: Entering state.
Back to C!
PM: Finishing up.
PCI: Setting latency timer of device 0000:00:1d.0 to 64
blk: queue 31d1f574, I/O limit 4095Mb (mask 0xffffffff)
drivers/acpi/osl.c:728: spin_lock(drivers/acpi/osl.c:31edaf84) already
locked by
 drivers/acpi/osl.c/728
drivers/acpi/osl.c:747: spin_lock(drivers/acpi/osl.c:31edaf84) not locked
Restarting tasks... done
Stopping tasks: ========================================================
======|
PM: Entering state.

I press the power button again and sometimes it will go back into S1,
sometimes it actually gets out of S1 and system is responsive.

This cycle happens consistently. Hitting suspend puts it in suspend;
trying to get out puts it back in suspend; and the third or fourth try
works.  The messages that show up while trying to get out of suspend
also differ.

Here is one from an attempt just before filing this bug:

PM: Preparing system for suspend
Stopping tasks:
==================================================================================|
PM: Entering state.
Back to C!
PM: Finishing up.
PCI: Setting latency timer of device 0000:00:1d.0 to 64
PCI: Setting latency timer of device 0000:00:1f.5 to 64
blk: queue 31d6c800, I/O limit 4095Mb (mask 0xffffffff)
Restarting tasks...<6>eth1: New link status: Connected (0001)
 done
PM: Preparing system for suspend
Stopping tasks:
===================================================================================|
PM: Entering state.
Back to C!
PM: Finishing up.
PCI: Setting latency timer of device 0000:00:1d.0 to 64
PCI: Setting latency timer of device 0000:00:1f.5 to 64
Restarting tasks...<6>eth1: New link status: Connected (0001)
 done
PM: Preparing system for suspend
Stopping tasks:
===================================================================================|
PM: Entering state.
Back to C!
PM: Finishing up.
PCI: Setting latency timer of device 0000:00:1d.0 to 64
PCI: Setting latency timer of device 0000:00:1f.5 to 64
Restarting tasks...<6>eth1: New link status: Connected (0001)
 done


Version-Release number of selected component (if applicable):
kernel-2.6.5-1.351

How reproducible:
Always

Steps to Reproduce:
1. echo 1 > /proc/acpi/sleep
2. Press power button
    

Actual Results:  System goes back into suspend the first time hitting
the power button; sometimes the second time.  Will eventually make it
out of S1 upon subsequent tries.

Expected Results:  System comes out of S1 first time.

Additional info:
Comment 1 Dave Jones 2004-12-08 01:35:56 EST
still a problem with 2.6.9 update ?
Comment 2 Vibol Hou 2004-12-11 19:28:01 EST
My apologies, but I no longer have this system at my disposal.  Hopefully others
can chime in on the 2.6.9 update.
Comment 3 Dave Jones 2005-04-16 00:17:17 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.